{ pkgs ? import <nixpkgs> {} }:
let
  jobsets = {
    spacemsg = {
      enabled = 1;
      hidden = false;
      description = "Astro's HQ IoT stuff";
      nixexprinput = "hydra-config";
      nixexprpath = "spacemsg.nix";
      checkinterval = 300;
      schedulingshares = 100;
      enableemail = true;
      emailoverride = "astro@spaceboyz.net";
      keepnr = 3;
      inputs = {
        spacemsg = {
          type = "git";
          value = "https://github.com/astro/spacemsg.git master 1";
          emailresponsible = false;
        };
        hydra-config = {
          type = "git";
          value = "https://gitea.c3d2.de/C3D2/hydra-config.git master 1";
          emailresponsible = false;
        };
        nixpkgs = {
          type = "git";
          value = "git://github.com/NixOS/nixpkgs.git release-19.03";
          emailresponsible = false;
        };
      };
    };

    yammat = {
      enabled = 1;
      hidden = false;
      description = "Matemat by nek0";
      nixexprinput = "hydra-config";
      nixexprpath = "yammat.nix";
      checkinterval = 300;
      schedulingshares = 100;
      enableemail = true;
      emailoverride = "nek0@nek0.eu";
      keepnr = 3;
      inputs = {
        yammat = {
          type = "git";
          value = "https://github.com/nek0/yammat.git master 1";
          emailresponsible = false;
        };
        hydra-config = {
          type = "git";
          value = "https://gitea.c3d2.de/C3D2/hydra-config.git master 1";
          emailresponsible = false;
        };
        nixpkgs = {
          type = "git";
          value = "git://github.com/NixOS/nixpkgs.git release-19.03";
          emailresponsible = false;
        };
      };
    };

  };

  jobsetsJson = pkgs.writeText "jobsets.json" (builtins.toJSON jobsets );
in
{
  jobsets = pkgs.runCommand "jobsets.json" {} ''
    cp ${jobsetsJson} $out
  '';
}
